// comath.cpp : implementation file
//

#include "stdafx.h"
#include "mathsrvr.h"
#include "comath.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CoMath

IMPLEMENT_DYNCREATE(CoMath, CCmdTarget)

CoMath::CoMath()
{
	EnableAutomation();
	
	// To keep the application running as long as an OLE automation 
	//	object is active, the constructor calls AfxOleLockApp.
	
	AfxOleLockApp();
}

CoMath::~CoMath()
{
	// To terminate the application when all objects created with
	// 	with OLE automation, the destructor calls AfxOleUnlockApp.
	
	AfxOleUnlockApp();
}

void CoMath::OnFinalRelease()
{
	// When the last reference for an automation object is released
	//	OnFinalRelease is called.  This implementation deletes the 
	//	object.  Add additional cleanup required for your object before
	//	deleting it from memory.

	delete this;
}


BEGIN_MESSAGE_MAP(CoMath, CCmdTarget)
	//{{AFX_MSG_MAP(CoMath)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BEGIN_DISPATCH_MAP(CoMath, CCmdTarget)
	//{{AFX_DISPATCH_MAP(CoMath)
	DISP_PROPERTY_NOTIFY(CoMath, "Accumulator", m_accumulator, OnAccumulatorChanged, VT_I4)
	DISP_PROPERTY_EX(CoMath, "GetSetProperty", GetGetSetProperty, SetGetSetProperty, VT_I4)
	DISP_FUNCTION(CoMath, "Add", Add, VT_I4, VTS_I2 VTS_I2)
	DISP_FUNCTION(CoMath, "Subtract", Subtract, VT_I4, VTS_I4 VTS_I4)
	//}}AFX_DISPATCH_MAP
END_DISPATCH_MAP()

IMPLEMENT_OLECREATE(CoMath, "CoMathMFC", 0x16df51a3, 0xf612, 0x11ce, 0x88, 0x3f, 0xce, 0xad, 0x16, 0x7e, 0x90, 0x20)

/////////////////////////////////////////////////////////////////////////////
// CoMath message handlers

long CoMath::Add(short FirstNumber, short SecondNumber) 
{
	return FirstNumber + SecondNumber;
}

long CoMath::Subtract(long FirstNumber, long SecondNumber) 
{
	return FirstNumber - SecondNumber;
}



void CoMath::OnAccumulatorChanged() 
{
	// TODO: Add notification handler code

}

long CoMath::GetGetSetProperty() 
{
	// TODO: Add your property handler here

	return 0;
}

void CoMath::SetGetSetProperty(long nNewValue) 
{
	// TODO: Add your property handler here

}
