// myrecvw.h : header file
//

// This is a part of the Objective Grid C++ Library.
// Copyright (C) 1995 ClassWorks, Stefan Hoenig.
// All rights reserved.
//
// This source code is only intended as a supplement to 
// the Objective Grid Classes Reference and related
// electronic documentation provided with the library. 
// See these sources for detailed information regarding 
// the Objective Grid product.
//

#ifndef _GXRESRC_H_
#include "gxresrc.h"
#endif
	
#ifndef _GXVW_H_
#include "gxvw.h"
#endif
	
#ifndef _GXWND_H_
#include "gxwnd.h"
#endif
	
#ifndef _GXCTRL_H_
#include "gxctrl.h"
#endif
	
#ifndef _GXODBC_H_
#include "gxodbc.h"
#endif                  

#ifndef _GXSTYDLG_H_
#include "gxstydlg.h"
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyRecordView view

class CMyRecordView : public CGXRecordView
{
protected:
	CMyRecordView();           // protected constructor used by dynamic creation
	DECLARE_DYNAMIC(CMyRecordView)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyRecordView)
	public:
	protected:
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CMyRecordView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CMyRecordView)
	afx_msg void OnFileHeaderfooter();
	afx_msg void OnFilePageSetup();
	afx_msg void OnViewProperties();
	afx_msg void OnFormatStyles();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
// CMyStylesDialog dialog

class CMyStylesDialog : public CGXStylesDialog 
{
// Construction
public:
	CMyStylesDialog(CWnd* pParent = NULL);   // standard constructor

// Overrides
	virtual CGXStyleSheet* CreateStyleSheet();
};

/////////////////////////////////////////////////////////////////////////////
// CMyStyleSheet dialog

class CMyStyleSheet : public CGXStyleSheet
{
// Construction
public:
	CMyStyleSheet(UINT nIDCaption, CGXStylesMap& stylesMap, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CMyStyleSheet(LPCTSTR pszCaption, CGXStylesMap& stylesMap, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

	virtual void CreatePages();
};

