#ifndef _COMATH_H
#define _COMATH_H
#include "IMath.h"


class CoMath: public IPersist, IMath {
private:
   DWORD m_dwRefCount;

public:
   CoMath();
   virtual ~CoMath();

   // IUnknown methods
   STDMETHODIMP_(DWORD) AddRef(void);
   STDMETHODIMP_(DWORD) Release(void);
   STDMETHODIMP QueryInterface(REFIID riid,
                            LPVOID FAR* ppv);

   // IPersist methods
   STDMETHODIMP GetClassID(LPCLSID pclsid);

   // IMath methods
   STDMETHODIMP Add(INT x, INT y, LPLONG lpResult);
   STDMETHODIMP Subtract(INT x, INT y, LPLONG lpResult);
};


#endif //_COMATH_H
