// dndedvw.h : interface of the CDndeditView class
//
/////////////////////////////////////////////////////////////////////////////

class CDndeditView : public CEditView
{
protected: // create from serialization only
	CDndeditView();
	DECLARE_DYNCREATE(CDndeditView)

	COleDropTarget m_dt;
   BOOL m_bSelfDragging;

// Attributes
public:
	CDndeditDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDndeditView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual DROPEFFECT OnDragOver(COleDataObject* pDataObject, DWORD dwKeyState, CPoint point);
	virtual DROPEFFECT OnDragEnter(COleDataObject* pDataObject, DWORD dwKeyState, CPoint point);
	virtual BOOL OnDrop(COleDataObject* pDataObject, DROPEFFECT dropEffect, CPoint point);
	virtual void OnDragLeave();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDndeditView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDndeditView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnEditOlecopy();
	afx_msg void OnUpdateEditOlecopy(CCmdUI* pCmdUI);
	afx_msg void OnEditOlepaste();
	afx_msg void OnUpdateEditOlepaste(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in dndedvw.cpp
inline CDndeditDoc* CDndeditView::GetDocument()
   { return (CDndeditDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
